Package: org.gradle.testing.jacoco.plugins

## [Groovy] Class JacocoPlugin

- org.gradle.testing.jacoco.plugins.JacocoPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      class JacocoPlugin
      extends Object

  Plugin that provides support for generating Jacoco coverage data.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `AGENT_CONFIGURATION_NAME`
    `static String` | `ANT_CONFIGURATION_NAME`
    `static String` | `PLUGIN_EXTENSION_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JacocoPlugin (org.gradle.internal.reflect.Instantiator instantiator)` Applies the plugin to the given project.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`
    `def` | `configureDefaultOutputPathForJacocoMerge()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String AGENT_CONFIGURATION_NAME

    - #### static final String ANT_CONFIGURATION_NAME

    - #### static final String PLUGIN_EXTENSION_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject JacocoPlugin(org.gradle.internal.reflect.Instantiator instantiator)

      Applies the plugin to the given project.

      Parameters:
        `project` - the project to apply to

  - ### Method Detail

    - #### void apply(org.gradle.api.internal.project.ProjectInternal project)

    - #### def configureDefaultOutputPathForJacocoMerge()